Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042789
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 02. Master data managementtrivialhave not tried2020-01-10 06:512020-01-21 16:38
ReporterAtulOpenbravoView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision5da059cf95b8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042789: Apply new HQL style in ServicesModifyTaxCopyConfiguration

Description1. Avoid use of StringBuilder use normal Strings.
2. HQL formatting is important for improving readability.
3. Avoid use of Property Constant if any
Steps To Reproduce-
Proposed SolutionFollow new style available here http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0116835)
AtulOpenbravo (developer)
2020-01-14 11:01

Test Plan
- Define Service product, Type as:Service set Linked To Product = Yes, Include Product Categories: blank, Include Products : Only those Defined, Quantity Rule: As per Product
- Set Modify Tax flag = Yes
- Run Modify Tax for Product Category process, select any category and set Tax for it.
- Realize that record appears in Modify Tax Categories Tab
- Create one more Service Product, set Linked To Product = Yes, Include Product Categories: blank, Include Products : Only those Defined, Quantity Rule: As per Product, Set Modify flag = Yes.
- Click on Copy Service Modify Tax Configuration, select the first created product shown in P&E window, Press Done
- Realize that records are created in Modify Tax Categories Tab.
(0117156)
hgbot (developer)
2020-01-21 16:31

Repository: erp/devel/pi
Changeset: 5da059cf95b807366a83a82908d3ae8255c6f718
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Jan 14 15:33:49 2020 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/5da059cf95b807366a83a82908d3ae8255c6f718 [^]

Fixes BUG-42789:Apply new HQL style in
ServicesModifyTaxCopyConfiguration

**Avoid StringBuilder for hql query string, use String
to format hql to improve readability of query strings
using formatter off on as required.

---
M src/org/openbravo/common/actionhandler/ServicesModifyTaxCopyConfiguration.java
---
(0117157)
hgbot (developer)
2020-01-21 16:31

Repository: erp/devel/pi
Changeset: b91a5a580301f609c9ffc7940a5650756818b9e5
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Tue Jan 21 12:09:57 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b91a5a580301f609c9ffc7940a5650756818b9e5 [^]

Related to ISSUE-42789. Code Review changes:
* Changed named of variable to reflect better it's behavior
* Send variables in proper order in method
* Simplify the call to the query object

---
M src/org/openbravo/common/actionhandler/ServicesModifyTaxCopyConfiguration.java
---
(0117158)
dmiguelez (developer)
2020-01-21 16:38

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-10 06:51 AtulOpenbravo New Issue
2020-01-10 06:51 AtulOpenbravo Assigned To => AtulOpenbravo
2020-01-10 06:51 AtulOpenbravo Modules => Core
2020-01-10 06:51 AtulOpenbravo Triggers an Emergency Pack => No
2020-01-10 06:51 AtulOpenbravo Issue generated from 0042788
2020-01-10 06:51 AtulOpenbravo Relationship added depends on 0041287
2020-01-10 06:54 AtulOpenbravo Issue cloned 0042790
2020-01-14 11:01 AtulOpenbravo Status new => scheduled
2020-01-14 11:01 AtulOpenbravo Note Added: 0116835
2020-01-15 09:45 AtulOpenbravo Issue cloned 0042879
2020-01-21 16:31 hgbot Checkin
2020-01-21 16:31 hgbot Note Added: 0117156
2020-01-21 16:31 hgbot Status scheduled => resolved
2020-01-21 16:31 hgbot Resolution open => fixed
2020-01-21 16:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/5da059cf95b807366a83a82908d3ae8255c6f718 [^]
2020-01-21 16:31 hgbot Checkin
2020-01-21 16:31 hgbot Note Added: 0117157
2020-01-21 16:38 dmiguelez Review Assigned To => dmiguelez
2020-01-21 16:38 dmiguelez Note Added: 0117158
2020-01-21 16:38 dmiguelez Status resolved => closed
2020-01-21 16:38 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker